/* work sans font form google fonts */
@import url("https://fonts.googleapis.com/css2?family=Ephesis&family=Open+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800&family=Work+Sans:wght@400;500;700;800&display=swap");

* {
  font-family: "Ephesis", cursive;
  font-family: "Open Sans", sans-serif;
  font-family: "Work Sans", sans-serif;
}

.text-light-gray {
  color: #727272;
}

/* header styles */
header {
  background: rgba(255, 144, 14, 0.1);
  padding: 50px 240px;
}

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

nav > ul {
  display: flex;
}

nav li {
  list-style: none;
  margin-right: 30px;
  font-weight: 500;
  font-size: 1rem;
}

nav li a {
  text-decoration: none;
  color: #424242;
}

/* banner styles */
.banner-content {
  max-width: 800px;
  text-align: center;
  margin: 0 auto;
}

.banner-title {
  color: #131313;
  font-weight: 700;
  font-size: 4rem;
}

.btn-primary {
  border-radius: 8px;
  border: 0;
  font-size: 1.25rem;
  background: #ff900e;
  color: white;
  padding: 20px 25px;
  cursor: pointer;
}

.section-title {
  font-size: 2.8rem;
  font-weight: 700;
  color: #131313;
}

.banner img {
  margin-top: 20px;
  width: 100%;
}

/* main styles */
main {
  max-width: 1440px;
  margin: 70px auto;
}

/* teams styles */
.teams-container {
  display: flex;
  align-items: center;
}

.teams-img-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1.5rem;
}

.teams-content {
  padding-left: 70px;
  padding-right: 70px;
}

.teams-title {
  font-size: 2.8rem;
}

.teams-title .quick-list {
  font-weight: 500;
}

.teams-title .text-features {
  color: #ff900e;
  font-weight: 700;
}

/* feature section styles */
.features {
  margin-top: 130px;
  display: flex;
  gap: 100px;
}

.features .section-title {
  border-left: 5px solid #ff900e;
  padding-left: 20px;
}

.feature-content .card {
  padding: 30px;
  margin: 20px;
  border-radius: 8px;
  background: #fff;
  box-shadow: 0px 4px 30px 0px rgb(0, 0, 0, 0.06);
}

.feature-img img {
  height: 90%;
  margin-left: 90px;
}

.ten-years-badge {
  color: white;
  background-color: #ff900e;
  width: 342px;
  padding: 40px;
  text-align: center;
  position: relative;
  bottom: 100px;
}
.ten-years-badge h2 {
  font-size: 4rem;
  margin-top: 0;
}

.ten-years-badge p {
  font-size: 1.5rem;
}

/* facts section */
.facts-card-container {
  display: flex;
  justify-content: space-around;
}

.facts-card-container .card {
  border-radius: 8px;
  border: 1px solid #ff900e;
  text-align: center;
  padding: 30px;
}

.facts-card-container .card-title {
  font-weight: 600;
  font-size: 1.25rem;
  margin-top: 5px;
}
.facts-card-container .card-stats {
  font-size: 2.8rem;
  color: #424242;
  margin-top: 10px;
  margin-bottom: 10px;
}
/* Sponsors styles */
.sponsors {
  text-align: center;
}

.sponsors-img-container {
  margin-top: 50px;
  display: flex;
  justify-content: space-evenly;
  gap: 40px;
  align-items: center;
}

.sponsors-img-container img {
  width: 165px;
}

/* responsive media queries */
/* mobile devices */
@media screen and (max-width: 576px) {
  header {
    padding: 20px;
  }

  nav,
  .teams-container,
  .features,
  .facts-card-container,
  .sponsors-img-container {
    flex-direction: column;
  }

  .feature-img img {
    width: 90%;
    margin-left: 0;
  }

  .ten-years-badge {
    position: static;
    max-width: 300px;
  }

  .feature-img img {
    width: 90%;
    margin-left: 0;
  }

  .ten-years-badge {
    position: static;
    max-width: 300px;
  }

  .teams-img-container {
    grid-template-columns: 1fr;
  }

  .teams-content,
  .facts-card-container {
    padding-left: 20px;
    padding-right: 20px;
  }

  .facts-card-container {
    gap: 20px;
  }
}

/* tablet or medium devices */
@media screen and (min-width: 576px) and (max-width: 960px) {
  header {
    padding: 50px;
  }

  nav,
  .features,
  .teams-container,
  .sponsors-img-container {
    flex-direction: column;
  }
}
